<template>
  <!-- 火运计费详单页面 -->
  <div class="purchaseOrder">
    <div class="top">
      <el-input
        placeholder="请输入内容"
        v-model="input"
        clearable>
      </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="btnclick">
        生成火运费账单
      </el-button>
    </div>
    <dilTable v-bind.sync="option" @selection-change="selectionChange">
      <!-- <el-table-column fixed="right" label="操作" width="100"> -->
        <!-- <template slot-scope="scope">
          <el-button @click="click(scope.row.pathId)" type="text" size="small"
            >编辑</el-button
          >
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.pathId)"
            >删除</el-button
          >
        </template> -->
      <!-- </el-table-column> -->
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "purchaseOrder",
  data() {
    return {
      input:"",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/bms/getUncomplateTrainDetailsList?apiId=118",
        // 控制显示多选列
        selectionType: "select",
        mapList:[],
      },
    };
  },
  methods: {
    selectionChange(selection) { 
      this.mapList=selection
    },
    onclick() {
      console.log(1);
    },
    btnclick() {
      this.$confirm("是否生成", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "生成账单成功!",
          });
      this.axios.post("/api/v1/bms/addTrainStatement",this.mapList)
                  .then(() => {
              this.$router.go(-1);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消生成!",
          });
        });
      // this.$router.push("/path/addHomeworkPath/");
    },
  },
};
</script>
<style lang='scss' scoped>
.purchaseOrder {
  .top {
    padding: 1.25rem 1.875rem;
  }
}
</style>